import { Layout, LayoutItem, NamedLayoutItem, UintLayoutItem, BytesLayoutItem, ObjectLayoutItem, ArrayLayoutItem, SwitchLayoutItem, LayoutToType, PrimitiveType, FixedConversion } from "./layout";
type IsNever<T> = [T] extends [never] ? true : false;
type IsEmpty<T> = IsNever<T> extends false ? T extends readonly [unknown, ...unknown[]] ? false : true : true;
type IdLayoutPair = readonly [unknown, Layout];
type FilterItemsOfIdLayoutPairs<ILA extends readonly IdLayoutPair[], Fixed extends boolean> = ILA extends readonly [infer H extends IdLayoutPair, ...infer T extends readonly IdLayoutPair[]] ? FilterItemsOfLayout<H[1], Fixed> extends infer L ? IsEmpty<L> extends false ? [[H[0], L], ...FilterItemsOfIdLayoutPairs<T, Fixed>] : FilterItemsOfIdLayoutPairs<T, Fixed> : never : [];
type FilterItem<I extends LayoutItem, Fixed extends boolean> = [
    I
] extends [UintLayoutItem | BytesLayoutItem] ? I extends {
    custom: PrimitiveType | FixedConversion<PrimitiveType, any>;
} ? Fixed extends true ? I : never : Fixed extends true ? never : I : [I] extends [ArrayLayoutItem] ? FilterItem<I["arrayItem"], Fixed> extends infer LI ? {
    readonly [K in keyof I]: K extends "arrayItem" ? LI : I[K];
} : never : [I] extends [ObjectLayoutItem] ? FilterItemsOfLayout<I["layout"], Fixed> extends infer L ? IsEmpty<L> extends false ? {
    readonly [K in keyof I]: K extends "layout" ? L : I[K];
} : never : never : [I] extends [SwitchLayoutItem] ? {
    readonly [K in keyof I]: K extends "idLayoutPairs" ? FilterItemsOfIdLayoutPairs<I["idLayoutPairs"], Fixed> : I[K];
} : never;
type FilterItemsOfLayout<L extends Layout, Fixed extends boolean> = L extends readonly [infer H extends NamedLayoutItem, ...infer T extends Layout] ? FilterItem<H, Fixed> extends infer I extends NamedLayoutItem ? IsNever<I> extends false ? [I, ...FilterItemsOfLayout<T, Fixed>] : FilterItemsOfLayout<T, Fixed> : never : [];
export type FixedItemsOfLayout<L extends Layout> = FilterItemsOfLayout<L, true>;
export type DynamicItemsOfLayout<L extends Layout> = FilterItemsOfLayout<L, false>;
export declare const fixedItemsOfLayout: <L extends Layout>(layout: L) => FilterItemsOfLayout<L, true>;
export declare const dynamicItemsOfLayout: <L extends Layout>(layout: L) => FilterItemsOfLayout<L, false>;
export declare function addFixedValues<L extends Layout>(layout: L, dynamicValues: LayoutToType<DynamicItemsOfLayout<L>>): LayoutToType<L>;
export {};
//# sourceMappingURL=fixedDynamic.d.ts.map