import { ChainName } from "./chains";
export declare const platforms: ["Evm", "Solana", "Cosmwasm", "Btc", "Algorand", "Sui", "Aptos", "Near"];
export type PlatformName = (typeof platforms)[number];
export declare const platformToChains: (<K1 extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm">(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm" ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Evm", readonly ["Acala", "Arbitrum", "Aurora", "Avalanche", "Base", "Bsc", "Celo", "Ethereum", "Fantom", "Gnosis", "Karura", "Klaytn", "Moonbeam", "Neon", "Oasis", "Optimism", "Polygon", "Rootstock", "Sepolia"]], readonly ["Solana", readonly ["Solana", "Pythnet"]], readonly ["Cosmwasm", readonly ["Cosmoshub", "Evmos", "Injective", "Kujira", "Osmosis", "Sei", "Terra", "Terra2", "Wormchain", "Xpla"]], readonly ["Btc", readonly ["Btc"]], readonly ["Algorand", readonly ["Algorand"]], readonly ["Sui", readonly ["Sui"]], readonly ["Aptos", readonly ["Aptos"]], readonly ["Near", readonly ["Near"]]]>[("Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Evm", readonly ["Acala", "Arbitrum", "Aurora", "Avalanche", "Base", "Bsc", "Celo", "Ethereum", "Fantom", "Gnosis", "Karura", "Klaytn", "Moonbeam", "Neon", "Oasis", "Optimism", "Polygon", "Rootstock", "Sepolia"]], readonly ["Solana", readonly ["Solana", "Pythnet"]], readonly ["Cosmwasm", readonly ["Cosmoshub", "Evmos", "Injective", "Kujira", "Osmosis", "Sei", "Terra", "Terra2", "Wormchain", "Xpla"]], readonly ["Btc", readonly ["Btc"]], readonly ["Algorand", readonly ["Algorand"]], readonly ["Sui", readonly ["Sui"]], readonly ["Aptos", readonly ["Aptos"]], readonly ["Near", readonly ["Near"]]]>[("Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Evm", readonly ["Acala", "Arbitrum", "Aurora", "Avalanche", "Base", "Bsc", "Celo", "Ethereum", "Fantom", "Gnosis", "Karura", "Klaytn", "Moonbeam", "Neon", "Oasis", "Optimism", "Polygon", "Rootstock", "Sepolia"]], readonly ["Solana", readonly ["Solana", "Pythnet"]], readonly ["Cosmwasm", readonly ["Cosmoshub", "Evmos", "Injective", "Kujira", "Osmosis", "Sei", "Terra", "Terra2", "Wormchain", "Xpla"]], readonly ["Btc", readonly ["Btc"]], readonly ["Algorand", readonly ["Algorand"]], readonly ["Sui", readonly ["Sui"]], readonly ["Aptos", readonly ["Aptos"]], readonly ["Near", readonly ["Near"]]]>[("Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string) => readonly ["Acala", "Arbitrum", "Aurora", "Avalanche", "Base", "Bsc", "Celo", "Ethereum", "Fantom", "Gnosis", "Karura", "Klaytn", "Moonbeam", "Neon", "Oasis", "Optimism", "Polygon", "Rootstock", "Sepolia"] | readonly ["Solana", "Pythnet"] | readonly ["Cosmoshub", "Evmos", "Injective", "Kujira", "Osmosis", "Sei", "Terra", "Terra2", "Wormchain", "Xpla"] | readonly ["Btc"] | readonly ["Algorand"] | readonly ["Sui"] | readonly ["Aptos"] | readonly ["Near"] | undefined;
    has: (args_0: string) => boolean;
};
export declare const chainToPlatform: (<K1 extends "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia">(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" ? import("../utils").ObjectFromMappingEntries<[readonly ["Acala", [["Evm"]]], readonly ["Arbitrum", [["Evm"]]], readonly ["Aurora", [["Evm"]]], readonly ["Avalanche", [["Evm"]]], readonly ["Base", [["Evm"]]], readonly ["Bsc", [["Evm"]]], readonly ["Celo", [["Evm"]]], readonly ["Ethereum", [["Evm"]]], readonly ["Fantom", [["Evm"]]], readonly ["Gnosis", [["Evm"]]], readonly ["Karura", [["Evm"]]], readonly ["Klaytn", [["Evm"]]], readonly ["Moonbeam", [["Evm"]]], readonly ["Neon", [["Evm"]]], readonly ["Oasis", [["Evm"]]], readonly ["Optimism", [["Evm"]]], readonly ["Polygon", [["Evm"]]], readonly ["Rootstock", [["Evm"]]], readonly ["Sepolia", [["Evm"]]], readonly ["Solana", [["Solana"]]], readonly ["Pythnet", [["Solana"]]], readonly ["Cosmoshub", [["Cosmwasm"]]], readonly ["Evmos", [["Cosmwasm"]]], readonly ["Injective", [["Cosmwasm"]]], readonly ["Kujira", [["Cosmwasm"]]], readonly ["Osmosis", [["Cosmwasm"]]], readonly ["Sei", [["Cosmwasm"]]], readonly ["Terra", [["Cosmwasm"]]], readonly ["Terra2", [["Cosmwasm"]]], readonly ["Wormchain", [["Cosmwasm"]]], readonly ["Xpla", [["Cosmwasm"]]], readonly ["Btc", [["Btc"]]], readonly ["Algorand", [["Algorand"]]], readonly ["Sui", [["Sui"]]], readonly ["Aptos", [["Aptos"]]], readonly ["Near", [["Near"]]]]>[("Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<[readonly ["Acala", [["Evm"]]], readonly ["Arbitrum", [["Evm"]]], readonly ["Aurora", [["Evm"]]], readonly ["Avalanche", [["Evm"]]], readonly ["Base", [["Evm"]]], readonly ["Bsc", [["Evm"]]], readonly ["Celo", [["Evm"]]], readonly ["Ethereum", [["Evm"]]], readonly ["Fantom", [["Evm"]]], readonly ["Gnosis", [["Evm"]]], readonly ["Karura", [["Evm"]]], readonly ["Klaytn", [["Evm"]]], readonly ["Moonbeam", [["Evm"]]], readonly ["Neon", [["Evm"]]], readonly ["Oasis", [["Evm"]]], readonly ["Optimism", [["Evm"]]], readonly ["Polygon", [["Evm"]]], readonly ["Rootstock", [["Evm"]]], readonly ["Sepolia", [["Evm"]]], readonly ["Solana", [["Solana"]]], readonly ["Pythnet", [["Solana"]]], readonly ["Cosmoshub", [["Cosmwasm"]]], readonly ["Evmos", [["Cosmwasm"]]], readonly ["Injective", [["Cosmwasm"]]], readonly ["Kujira", [["Cosmwasm"]]], readonly ["Osmosis", [["Cosmwasm"]]], readonly ["Sei", [["Cosmwasm"]]], readonly ["Terra", [["Cosmwasm"]]], readonly ["Terra2", [["Cosmwasm"]]], readonly ["Wormchain", [["Cosmwasm"]]], readonly ["Xpla", [["Cosmwasm"]]], readonly ["Btc", [["Btc"]]], readonly ["Algorand", [["Algorand"]]], readonly ["Sui", [["Sui"]]], readonly ["Aptos", [["Aptos"]]], readonly ["Near", [["Near"]]]]>[("Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<[readonly ["Acala", [["Evm"]]], readonly ["Arbitrum", [["Evm"]]], readonly ["Aurora", [["Evm"]]], readonly ["Avalanche", [["Evm"]]], readonly ["Base", [["Evm"]]], readonly ["Bsc", [["Evm"]]], readonly ["Celo", [["Evm"]]], readonly ["Ethereum", [["Evm"]]], readonly ["Fantom", [["Evm"]]], readonly ["Gnosis", [["Evm"]]], readonly ["Karura", [["Evm"]]], readonly ["Klaytn", [["Evm"]]], readonly ["Moonbeam", [["Evm"]]], readonly ["Neon", [["Evm"]]], readonly ["Oasis", [["Evm"]]], readonly ["Optimism", [["Evm"]]], readonly ["Polygon", [["Evm"]]], readonly ["Rootstock", [["Evm"]]], readonly ["Sepolia", [["Evm"]]], readonly ["Solana", [["Solana"]]], readonly ["Pythnet", [["Solana"]]], readonly ["Cosmoshub", [["Cosmwasm"]]], readonly ["Evmos", [["Cosmwasm"]]], readonly ["Injective", [["Cosmwasm"]]], readonly ["Kujira", [["Cosmwasm"]]], readonly ["Osmosis", [["Cosmwasm"]]], readonly ["Sei", [["Cosmwasm"]]], readonly ["Terra", [["Cosmwasm"]]], readonly ["Terra2", [["Cosmwasm"]]], readonly ["Wormchain", [["Cosmwasm"]]], readonly ["Xpla", [["Cosmwasm"]]], readonly ["Btc", [["Btc"]]], readonly ["Algorand", [["Algorand"]]], readonly ["Sui", [["Sui"]]], readonly ["Aptos", [["Aptos"]]], readonly ["Near", [["Near"]]]]>[("Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string) => "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm" | undefined;
    has: (args_0: string) => boolean;
};
export declare const isPlatform: (platform: string) => platform is "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm";
export type PlatformToChains<P extends PlatformName> = ReturnType<typeof platformToChains<P>>[number];
export type ChainToPlatform<C extends ChainName> = ReturnType<typeof chainToPlatform<C>>;
//# sourceMappingURL=platforms.d.ts.map